package com.zjrs.zwnw.sxgl.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.sxgl.dto.SxclwhDTO;
import com.zjrs.zwnw.sxgl.dto.SxclwhDeleteDTO;
import com.zjrs.zwnw.sxgl.dto.SxclwhQueryDTO;
import com.zjrs.zwnw.sxgl.po.SdzlsxPO;

import java.util.Map;

public interface SxclwhBPO {
    //查询事项材料列表
    public PageResult querySxclList(SxclwhQueryDTO dto, int page, int rows);

    //新增材料
    public Map<String, String> addSxcl(SxclwhDTO dto);

    //批量删除材料
    public Map<String, String> deleteSxclByIds(SxclwhDeleteDTO dto);

    //查询材料
    public SdzlsxPO getSxclById(SxclwhQueryDTO dto);

    //更新材料信息
    public Map<String, String> updateSxcl(SxclwhDTO dto);
}
